Tag Parser: TagParser::Mp4TagFieldMaker Class Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
TagParser::Mp4TagFieldMaker Class Reference

The Mp4TagFieldMaker class helps making tag fields. More...

`#include <mp4tagfield.h>`

## Public Member Functions
| Mp4TagFieldMaker (Mp4TagFieldMaker &&)=default
void | make (std::ostream &stream)
| Saves the field (specified when constructing the object) to the specified stream.
const Mp4TagField & | field () const
| Returns the associated field.
std::uint64_t | requiredSize () const
| Returns number of bytes which will be written when making the field.

## Friends
class | Mp4TagField

## Detailed Description

The Mp4TagFieldMaker class helps making tag fields.

It allows to calculate the required size.

See also
  See Mp4TagFieldMaker::prepareMaking() for more information.

Definition at line 63 of file mp4tagfield.h.

## Constructor & Destructor Documentation

## ◆ Mp4TagFieldMaker()

TagParser::Mp4TagFieldMaker::Mp4TagFieldMaker | ( | Mp4TagFieldMaker && |  | ) |
| default

## Member Function Documentation

## ◆ field()

const Mp4TagField & TagParser::Mp4TagFieldMaker::field | ( |  | ) | const
| inline

Returns the associated field.

Definition at line 99 of file mp4tagfield.h.

## ◆ make()

void TagParser::Mp4TagFieldMaker::make | ( | std::ostream & | stream | ) |

Saves the field (specified when constructing the object) to the specified stream.

Exceptions

  Throws | std::ios_base::failure when an IO error occurs.
  Throws | Assumes the data is already validated and thus does NOT throw TagParser::Failure or a derived exception.

Definition at line 722 of file mp4tagfield.cpp.

## ◆ requiredSize()

std::uint64_t TagParser::Mp4TagFieldMaker::requiredSize | ( |  | ) | const
| inline

Returns number of bytes which will be written when making the field.

Definition at line 107 of file mp4tagfield.h.

## Friends And Related Symbol Documentation

## ◆ Mp4TagField

friend class Mp4TagField
| friend

Definition at line 64 of file mp4tagfield.h.

The documentation for this class was generated from the following files:

- mp4/mp4tagfield.h
- mp4/mp4tagfield.cpp